Package: io.vertx.groovy.redis

## [Groovy] Class RedisTransaction

- io.vertx.groovy.redis.RedisTransaction

- This Interface represents a TX

- - ### Constructor Summary

    Constructors
    Constructor and description
    `RedisTransaction (java.lang.Object delegate)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `RedisTransaction` | `append(java.lang.String key, java.lang.String value, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Append a value to a key
    `RedisTransaction` | `auth(java.lang.String password, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Authenticate to the server
    `RedisTransaction` | `bgrewriteaof(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Asynchronously rewrite the append-only file
    `RedisTransaction` | `bgsave(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Asynchronously save the dataset to disk
    `RedisTransaction` | `bitcount(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Count set bits in a string
    `RedisTransaction` | `bitcountRange(java.lang.String key, long start, long end, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Count set bits in a string
    `RedisTransaction` | `bitop(io.vertx.redis.op.BitOperation operation, java.lang.String destkey, java.util.List<java.lang.String> keys, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Perform bitwise operations between strings
    `RedisTransaction` | `bitpos(java.lang.String key, int bit, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Find first bit set or clear in a string
    `RedisTransaction` | `bitposFrom(java.lang.String key, int bit, int start, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Find first bit set or clear in a string
    `RedisTransaction` | `bitposRange(java.lang.String key, int bit, int start, int stop, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Find first bit set or clear in a string
    `RedisTransaction` | `blpop(java.lang.String key, int seconds, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Remove and get the first element in a list, or block until one is available
    `RedisTransaction` | `blpopMany(java.util.List<java.lang.String> keys, int seconds, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Remove and get the first element in any of the lists, or block until one is available
    `RedisTransaction` | `brpop(java.lang.String key, int seconds, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Remove and get the last element in a list, or block until one is available
    `RedisTransaction` | `brpopMany(java.util.List<java.lang.String> keys, int seconds, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Remove and get the last element in any of the lists, or block until one is available
    `RedisTransaction` | `brpoplpush(java.lang.String key, java.lang.String destkey, int seconds, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Pop a value from a list, push it to another list and return it; or block until one is available
    `RedisTransaction` | `clientGetname(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Get the current connection name
    `RedisTransaction` | `clientKill(java.util.Map<java.lang.String, java.lang.Object> filter = [:], io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Kill the connection of a client
    `RedisTransaction` | `clientList(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Get the list of client connections
    `RedisTransaction` | `clientPause(long millis, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Stop processing commands from clients for some time
    `RedisTransaction` | `clientSetname(java.lang.String name, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Set the current connection name
    `void` | `close(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> handler)` Close the client - when it is fully closed the handler will be called.
    `RedisTransaction` | `clusterAddslots(java.util.List<java.lang.String> slots, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Assign new hash slots to receiving node.
    `RedisTransaction` | `clusterCountFailureReports(java.lang.String nodeId, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Return the number of failure reports active for a given node.
    `RedisTransaction` | `clusterCountkeysinslot(long slot, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Return the number of local keys in the specified hash slot.
    `RedisTransaction` | `clusterDelslots(long slot, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Set hash slots as unbound in receiving node.
    `RedisTransaction` | `clusterDelslotsMany(java.util.List<java.lang.String> slots, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Set hash slots as unbound in receiving node.
    `RedisTransaction` | `clusterFailOverWithOptions(io.vertx.redis.op.FailoverOptions options, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Forces a slave to perform a manual failover of its master.
    `RedisTransaction` | `clusterFailover(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Forces a slave to perform a manual failover of its master.
    `RedisTransaction` | `clusterForget(java.lang.String nodeId, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Remove a node from the nodes table.
    `RedisTransaction` | `clusterGetkeysinslot(long slot, long count, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Return local key names in the specified hash slot.
    `RedisTransaction` | `clusterInfo(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Provides info about Redis Cluster node state.
    `RedisTransaction` | `clusterKeyslot(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Returns the hash slot of the specified key.
    `RedisTransaction` | `clusterMeet(java.lang.String ip, long port, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Force a node cluster to handshake with another node.
    `RedisTransaction` | `clusterNodes(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Get Cluster config for the node.
    `RedisTransaction` | `clusterReplicate(java.lang.String nodeId, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Reconfigure a node as a slave of the specified master node.
    `RedisTransaction` | `clusterReset(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Reset a Redis Cluster node.
    `RedisTransaction` | `clusterResetWithOptions(io.vertx.redis.op.ResetOptions options, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Reset a Redis Cluster node.
    `RedisTransaction` | `clusterSaveconfig(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Forces the node to save cluster state on disk.
    `RedisTransaction` | `clusterSetConfigEpoch(long epoch, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Set the configuration epoch in a new node.
    `RedisTransaction` | `clusterSetslot(long slot, io.vertx.redis.op.SlotCmd subcommand, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Bind an hash slot to a specific node.
    `RedisTransaction` | `clusterSetslotWithNode(long slot, io.vertx.redis.op.SlotCmd subcommand, java.lang.String nodeId, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Bind an hash slot to a specific node.
    `RedisTransaction` | `clusterSlaves(java.lang.String nodeId, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` List slave nodes of the specified master node.
    `RedisTransaction` | `clusterSlots(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Get array of Cluster slot to node mappings
    `RedisTransaction` | `command(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Get array of Redis command details
    `RedisTransaction` | `commandCount(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Get total number of Redis commands
    `RedisTransaction` | `commandGetkeys(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Extract keys given a full Redis command
    `RedisTransaction` | `commandInfo(java.util.List<java.lang.String> commands, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Get array of specific Redis command details
    `RedisTransaction` | `configGet(java.lang.String parameter, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Get the value of a configuration parameter
    `RedisTransaction` | `configResetstat(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Reset the stats returned by INFO
    `RedisTransaction` | `configRewrite(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Rewrite the configuration file with the in memory configuration
    `RedisTransaction` | `configSet(java.lang.String parameter, java.lang.String value, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Set a configuration parameter to the given value
    `RedisTransaction` | `dbsize(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Return the number of keys in the selected database
    `RedisTransaction` | `debugObject(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Get debugging information about a key
    `RedisTransaction` | `debugSegfault(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Make the server crash
    `RedisTransaction` | `decr(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Decrement the integer value of a key by one
    `RedisTransaction` | `decrby(java.lang.String key, long decrement, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Decrement the integer value of a key by the given number
    `RedisTransaction` | `del(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Delete a key
    `RedisTransaction` | `delMany(java.util.List<java.lang.String> keys, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Delete many keys
    `RedisTransaction` | `discard(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Discard all commands issued after MULTI
    `RedisTransaction` | `dump(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Return a serialized version of the value stored at the specified key.
    `RedisTransaction` | `echo(java.lang.String message, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Echo the given string
    `RedisTransaction` | `eval(java.lang.String script, java.util.List<java.lang.String> keys, java.util.List<java.lang.String> args, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Execute a Lua script server side.
    `RedisTransaction` | `evalsha(java.lang.String sha1, java.util.List<java.lang.String> keys, java.util.List<java.lang.String> values, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Execute a Lua script server side.
    `RedisTransaction` | `exec(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)` Execute all commands issued after MULTI
    `RedisTransaction` | `exists(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Determine if a key exists
    `RedisTransaction` | `expire(java.lang.String key, int seconds, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Set a key's time to live in seconds
    `RedisTransaction` | `expireat(java.lang.String key, long seconds, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Set the expiration for a key as a UNIX timestamp
    `RedisTransaction` | `flushall(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Remove all keys from all databases
    `RedisTransaction` | `flushdb(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Remove all keys from the current database
    `RedisTransaction` | `geoadd(java.lang.String key, double longitude, double latitude, java.lang.String member, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Add one or more geospatial items in the geospatial index represented using a sorted set.
    `RedisTransaction` | `geoaddMany(java.lang.String key, java.util.List<java.util.Map<java.lang.String, java.lang.Object>> members, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Add one or more geospatial items in the geospatial index represented using a sorted set.
    `RedisTransaction` | `geodist(java.lang.String key, java.lang.String member1, java.lang.String member2, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Return the distance between two members in the geospatial index represented by the sorted set.
    `RedisTransaction` | `geodistWithUnit(java.lang.String key, java.lang.String member1, java.lang.String member2, io.vertx.redis.op.GeoUnit unit, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Return the distance between two members in the geospatial index represented by the sorted set.
    `RedisTransaction` | `geohash(java.lang.String key, java.lang.String member, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Return valid Geohash strings representing the position of one or more elements in a sorted set value representing a geospatial index (where elements were added using GEOADD).
    `RedisTransaction` | `geohashMany(java.lang.String key, java.util.List<java.lang.String> members, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Return valid Geohash strings representing the position of one or more elements in a sorted set value representing a geospatial index (where elements were added using GEOADD).
    `RedisTransaction` | `geopos(java.lang.String key, java.lang.String member, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Return the positions (longitude,latitude) of all the specified members of the geospatial index represented by the sorted set at key.
    `RedisTransaction` | `geoposMany(java.lang.String key, java.util.List<java.lang.String> members, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Return the positions (longitude,latitude) of all the specified members of the geospatial index represented by the sorted set at key.
    `RedisTransaction` | `georadius(java.lang.String key, double longitude, double latitude, double radius, io.vertx.redis.op.GeoUnit unit, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Return the members of a sorted set populated with geospatial information using GEOADD, which are within the borders of the area specified with the center location and the maximum distance from the center (the radius).
    `RedisTransaction` | `georadiusWithOptions(java.lang.String key, double longitude, double latitude, double radius, io.vertx.redis.op.GeoUnit unit, java.util.Map<java.lang.String, java.lang.Object> options, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Return the members of a sorted set populated with geospatial information using GEOADD, which are within the borders of the area specified with the center location and the maximum distance from the center (the radius).
    `RedisTransaction` | `georadiusbymember(java.lang.String key, java.lang.String member, double radius, io.vertx.redis.op.GeoUnit unit, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` This command is exactly like GEORADIUS with the sole difference that instead of taking, as the center of the area to query, a longitude and latitude value, it takes the name of a member already existing inside the geospatial index represented by the sorted set.
    `RedisTransaction` | `georadiusbymemberWithOptions(java.lang.String key, java.lang.String member, double radius, io.vertx.redis.op.GeoUnit unit, java.util.Map<java.lang.String, java.lang.Object> options, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` This command is exactly like GEORADIUS with the sole difference that instead of taking, as the center of the area to query, a longitude and latitude value, it takes the name of a member already existing inside the geospatial index represented by the sorted set.
    `RedisTransaction` | `get(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Get the value of a key
    `RedisTransaction` | `getBinary(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Get the value of a key - without decoding as utf-8
    `java.lang.Object` | `getDelegate()`
    `RedisTransaction` | `getbit(java.lang.String key, long offset, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Returns the bit value at offset in the string value stored at key
    `RedisTransaction` | `getrange(java.lang.String key, long start, long end, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Get a substring of the string stored at a key
    `RedisTransaction` | `getset(java.lang.String key, java.lang.String value, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Set the string value of a key and return its old value
    `RedisTransaction` | `hdel(java.lang.String key, java.lang.String field, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Delete one or more hash fields
    `RedisTransaction` | `hdelMany(java.lang.String key, java.util.List<java.lang.String> fields, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Delete one or more hash fields
    `RedisTransaction` | `hexists(java.lang.String key, java.lang.String field, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Determine if a hash field exists
    `RedisTransaction` | `hget(java.lang.String key, java.lang.String field, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Get the value of a hash field
    `RedisTransaction` | `hgetall(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Get all the fields and values in a hash
    `RedisTransaction` | `hincrby(java.lang.String key, java.lang.String field, long increment, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Increment the integer value of a hash field by the given number
    `RedisTransaction` | `hincrbyfloat(java.lang.String key, java.lang.String field, double increment, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Increment the float value of a hash field by the given amount
    `RedisTransaction` | `hkeys(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Get all the fields in a hash
    `RedisTransaction` | `hlen(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Get the number of fields in a hash
    `RedisTransaction` | `hmget(java.lang.String key, java.util.List<java.lang.String> fields, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Get the values of all the given hash fields
    `RedisTransaction` | `hmset(java.lang.String key, java.util.Map<java.lang.String, java.lang.Object> values, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Set multiple hash fields to multiple values
    `RedisTransaction` | `hscan(java.lang.String key, java.lang.String cursor, java.util.Map<java.lang.String, java.lang.Object> options, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Incrementally iterate hash fields and associated values
    `RedisTransaction` | `hset(java.lang.String key, java.lang.String field, java.lang.String value, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Set the string value of a hash field
    `RedisTransaction` | `hsetnx(java.lang.String key, java.lang.String field, java.lang.String value, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Set the value of a hash field, only if the field does not exist
    `RedisTransaction` | `hvals(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Get all the values in a hash
    `RedisTransaction` | `incr(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Increment the integer value of a key by one
    `RedisTransaction` | `incrby(java.lang.String key, long increment, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Increment the integer value of a key by the given amount
    `RedisTransaction` | `incrbyfloat(java.lang.String key, double increment, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Increment the float value of a key by the given amount
    `RedisTransaction` | `info(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Get information and statistics about the server
    `RedisTransaction` | `infoSection(java.lang.String section, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Get information and statistics about the server
    `RedisTransaction` | `keys(java.lang.String pattern, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Find all keys matching the given pattern
    `RedisTransaction` | `lastsave(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Get the UNIX time stamp of the last successful save to disk
    `RedisTransaction` | `lindex(java.lang.String key, int index, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Get an element from a list by its index
    `RedisTransaction` | `linsert(java.lang.String key, io.vertx.redis.op.InsertOptions option, java.lang.String pivot, java.lang.String value, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Insert an element before or after another element in a list
    `RedisTransaction` | `llen(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Get the length of a list
    `RedisTransaction` | `lpop(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Remove and get the first element in a list
    `RedisTransaction` | `lpush(java.lang.String key, java.lang.String value, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Prepend one value to a list
    `RedisTransaction` | `lpushMany(java.lang.String key, java.util.List<java.lang.String> values, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Prepend one or multiple values to a list
    `RedisTransaction` | `lpushx(java.lang.String key, java.lang.String value, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Prepend a value to a list, only if the list exists
    `RedisTransaction` | `lrange(java.lang.String key, long from, long to, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Get a range of elements from a list
    `RedisTransaction` | `lrem(java.lang.String key, long count, java.lang.String value, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Remove elements from a list
    `RedisTransaction` | `lset(java.lang.String key, long index, java.lang.String value, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Set the value of an element in a list by its index
    `RedisTransaction` | `ltrim(java.lang.String key, long from, long to, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Trim a list to the specified range
    `RedisTransaction` | `mget(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Get the value of the given key
    `RedisTransaction` | `mgetMany(java.util.List<java.lang.String> keys, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Get the values of all the given keys
    `RedisTransaction` | `migrate(java.lang.String host, int port, java.lang.String key, int destdb, long timeout, java.util.Map<java.lang.String, java.lang.Object> options, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Atomically transfer a key from a Redis instance to another one.
    `RedisTransaction` | `monitor(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Listen for all requests received by the server in real time
    `RedisTransaction` | `move(java.lang.String key, int destdb, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Move a key to another database
    `RedisTransaction` | `mset(java.util.Map<java.lang.String, java.lang.Object> keyvals, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Set multiple keys to multiple values
    `RedisTransaction` | `msetnx(java.util.Map<java.lang.String, java.lang.Object> keyvals, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Set multiple keys to multiple values, only if none of the keys exist
    `RedisTransaction` | `multi(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Mark the start of a RedisTransaction block
    `RedisTransaction` | `object(java.lang.String key, io.vertx.redis.op.ObjectCmd cmd, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Inspect the internals of Redis objects
    `RedisTransaction` | `persist(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Remove the expiration from a key
    `RedisTransaction` | `pexpire(java.lang.String key, long millis, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Set a key's time to live in milliseconds
    `RedisTransaction` | `pexpireat(java.lang.String key, long millis, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Set the expiration for a key as a UNIX timestamp specified in milliseconds
    `RedisTransaction` | `pfadd(java.lang.String key, java.lang.String element, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Adds the specified element to the specified HyperLogLog.
    `RedisTransaction` | `pfaddMany(java.lang.String key, java.util.List<java.lang.String> elements, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Adds the specified elements to the specified HyperLogLog.
    `RedisTransaction` | `pfcount(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Return the approximated cardinality of the set observed by the HyperLogLog at key.
    `RedisTransaction` | `pfcountMany(java.util.List<java.lang.String> keys, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Return the approximated cardinality of the set(s) observed by the HyperLogLog at key(s).
    `RedisTransaction` | `pfmerge(java.lang.String destkey, java.util.List<java.lang.String> keys, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Merge N different HyperLogLogs into a single one.
    `RedisTransaction` | `ping(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Ping the server
    `RedisTransaction` | `psetex(java.lang.String key, long millis, java.lang.String value, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Set the value and expiration in milliseconds of a key
    `RedisTransaction` | `psubscribe(java.lang.String pattern, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Listen for messages published to channels matching the given pattern
    `RedisTransaction` | `psubscribeMany(java.util.List<java.lang.String> patterns, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Listen for messages published to channels matching the given patterns
    `RedisTransaction` | `pttl(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Get the time to live for a key in milliseconds
    `RedisTransaction` | `publish(java.lang.String channel, java.lang.String message, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Post a message to a channel
    `RedisTransaction` | `pubsubChannels(java.lang.String pattern, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Lists the currently active channels - only those matching the pattern
    `RedisTransaction` | `pubsubNumpat(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Returns the number of subscriptions to patterns (that are performed using the PSUBSCRIBE command)
    `RedisTransaction` | `pubsubNumsub(java.util.List<java.lang.String> channels, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Returns the number of subscribers (not counting clients subscribed to patterns) for the specified channels
    `RedisTransaction` | `punsubscribe(java.util.List<java.lang.String> patterns, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Stop listening for messages posted to channels matching the given patterns
    `RedisTransaction` | `randomkey(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Return a random key from the keyspace
    `RedisTransaction` | `rename(java.lang.String key, java.lang.String newkey, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Rename a key
    `RedisTransaction` | `renamenx(java.lang.String key, java.lang.String newkey, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Rename a key, only if the new key does not exist
    `RedisTransaction` | `restore(java.lang.String key, long millis, java.lang.String serialized, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Create a key using the provided serialized value, previously obtained using DUMP.
    `RedisTransaction` | `role(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Return the role of the instance in the context of replication
    `RedisTransaction` | `rpop(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Remove and get the last element in a list
    `RedisTransaction` | `rpoplpush(java.lang.String key, java.lang.String destkey, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Remove the last element in a list, append it to another list and return it
    `RedisTransaction` | `rpush(java.lang.String key, java.lang.String value, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Append one or multiple values to a list
    `RedisTransaction` | `rpushMany(java.lang.String key, java.util.List<java.lang.String> values, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Append one or multiple values to a list
    `RedisTransaction` | `rpushx(java.lang.String key, java.lang.String value, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Append a value to a list, only if the list exists
    `RedisTransaction` | `sadd(java.lang.String key, java.lang.String member, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Add a member to a set
    `RedisTransaction` | `saddMany(java.lang.String key, java.util.List<java.lang.String> members, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Add one or more members to a set
    `RedisTransaction` | `save(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Synchronously save the dataset to disk
    `RedisTransaction` | `scan(java.lang.String cursor, java.util.Map<java.lang.String, java.lang.Object> options, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Incrementally iterate the keys space
    `RedisTransaction` | `scard(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Get the number of members in a set
    `RedisTransaction` | `scriptExists(java.lang.String script, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Check existence of script in the script cache.
    `RedisTransaction` | `scriptExistsMany(java.util.List<java.lang.String> scripts, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Check existence of scripts in the script cache.
    `RedisTransaction` | `scriptFlush(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Remove all the scripts from the script cache.
    `RedisTransaction` | `scriptKill(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Kill the script currently in execution.
    `RedisTransaction` | `scriptLoad(java.lang.String script, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Load the specified Lua script into the script cache.
    `RedisTransaction` | `sdiff(java.lang.String key, java.util.List<java.lang.String> cmpkeys, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Subtract multiple sets
    `RedisTransaction` | `sdiffstore(java.lang.String destkey, java.lang.String key, java.util.List<java.lang.String> cmpkeys, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Subtract multiple sets and store the resulting set in a key
    `RedisTransaction` | `select(int dbindex, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Change the selected database for the current connection
    `RedisTransaction` | `set(java.lang.String key, java.lang.String value, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Set the string value of a key
    `RedisTransaction` | `setBinary(java.lang.String key, Buffer value, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Set the binary string value of a key - without encoding as utf-8
    `RedisTransaction` | `setBinaryWithOptions(java.lang.String key, Buffer value, java.util.Map<java.lang.String, java.lang.Object> options, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Set the string value of a key
    `RedisTransaction` | `setWithOptions(java.lang.String key, java.lang.String value, java.util.Map<java.lang.String, java.lang.Object> options, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Set the string value of a key
    `RedisTransaction` | `setbit(java.lang.String key, long offset, int bit, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Sets or clears the bit at offset in the string value stored at key
    `RedisTransaction` | `setex(java.lang.String key, long seconds, java.lang.String value, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Set the value and expiration of a key
    `RedisTransaction` | `setnx(java.lang.String key, java.lang.String value, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Set the value of a key, only if the key does not exist
    `RedisTransaction` | `setrange(java.lang.String key, int offset, java.lang.String value, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Overwrite part of a string at key starting at the specified offset
    `RedisTransaction` | `sinter(java.util.List<java.lang.String> keys, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Intersect multiple sets
    `RedisTransaction` | `sinterstore(java.lang.String destkey, java.util.List<java.lang.String> keys, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Intersect multiple sets and store the resulting set in a key
    `RedisTransaction` | `sismember(java.lang.String key, java.lang.String member, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Determine if a given value is a member of a set
    `RedisTransaction` | `slaveof(java.lang.String host, int port, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Make the server a slave of another instance
    `RedisTransaction` | `slaveofNoone(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Make this server a master
    `RedisTransaction` | `slowlogGet(int limit, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Read the Redis slow queries log
    `RedisTransaction` | `slowlogLen(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Get the length of the Redis slow queries log
    `RedisTransaction` | `slowlogReset(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Reset the Redis slow queries log
    `RedisTransaction` | `smembers(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Get all the members in a set
    `RedisTransaction` | `smove(java.lang.String key, java.lang.String destkey, java.lang.String member, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Move a member from one set to another
    `RedisTransaction` | `sort(java.lang.String key, java.util.Map<java.lang.String, java.lang.Object> options, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Sort the elements in a list, set or sorted set
    `RedisTransaction` | `spop(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Remove and return a random member from a set
    `RedisTransaction` | `spopMany(java.lang.String key, int count, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Remove and return random members from a set
    `RedisTransaction` | `srandmember(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Get one or multiple random members from a set
    `RedisTransaction` | `srandmemberCount(java.lang.String key, int count, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Get one or multiple random members from a set
    `RedisTransaction` | `srem(java.lang.String key, java.lang.String member, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Remove one member from a set
    `RedisTransaction` | `sremMany(java.lang.String key, java.util.List<java.lang.String> members, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Remove one or more members from a set
    `RedisTransaction` | `sscan(java.lang.String key, java.lang.String cursor, java.util.Map<java.lang.String, java.lang.Object> options, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Incrementally iterate Set elements
    `RedisTransaction` | `strlen(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Get the length of the value stored in a key
    `RedisTransaction` | `subscribe(java.lang.String channel, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Listen for messages published to the given channels
    `RedisTransaction` | `subscribeMany(java.util.List<java.lang.String> channels, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Listen for messages published to the given channels
    `RedisTransaction` | `sunion(java.util.List<java.lang.String> keys, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Add multiple sets
    `RedisTransaction` | `sunionstore(java.lang.String destkey, java.util.List<java.lang.String> keys, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Add multiple sets and store the resulting set in a key
    `RedisTransaction` | `sync(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Internal command used for replication
    `RedisTransaction` | `time(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Return the current server time
    `RedisTransaction` | `ttl(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Get the time to live for a key
    `RedisTransaction` | `type(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Determine the type stored at key
    `RedisTransaction` | `unsubscribe(java.util.List<java.lang.String> channels, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Stop listening for messages posted to the given channels
    `RedisTransaction` | `unwatch(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Forget about all watched keys
    `RedisTransaction` | `wait(long numSlaves, long timeout, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Wait for the synchronous replication of all the write commands sent in the context of the current connection.
    `RedisTransaction` | `watch(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Watch the given keys to determine execution of the MULTI/EXEC block
    `RedisTransaction` | `watchMany(java.util.List<java.lang.String> keys, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Watch the given keys to determine execution of the MULTI/EXEC block
    `RedisTransaction` | `zadd(java.lang.String key, double score, java.lang.String member, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Add one or more members to a sorted set, or update its score if it already exists
    `RedisTransaction` | `zaddMany(java.lang.String key, java.util.Map<java.lang.String, java.lang.Double> members, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Add one or more members to a sorted set, or update its score if it already exists
    `RedisTransaction` | `zcard(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Get the number of members in a sorted set
    `RedisTransaction` | `zcount(java.lang.String key, double min, double max, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Count the members in a sorted set with scores within the given values
    `RedisTransaction` | `zincrby(java.lang.String key, double increment, java.lang.String member, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Increment the score of a member in a sorted set
    `RedisTransaction` | `zinterstore(java.lang.String destkey, java.util.List<java.lang.String> sets, io.vertx.redis.op.AggregateOptions options, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Intersect multiple sorted sets and store the resulting sorted set in a new key
    `RedisTransaction` | `zinterstoreWeighed(java.lang.String destkey, java.util.Map<java.lang.String, java.lang.Double> sets, io.vertx.redis.op.AggregateOptions options, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Intersect multiple sorted sets and store the resulting sorted set in a new key using weights for scoring
    `RedisTransaction` | `zlexcount(java.lang.String key, java.lang.String min, java.lang.String max, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Count the number of members in a sorted set between a given lexicographical range
    `RedisTransaction` | `zrange(java.lang.String key, long start, long stop, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Return a range of members in a sorted set, by index
    `RedisTransaction` | `zrangeWithOptions(java.lang.String key, long start, long stop, io.vertx.redis.op.RangeOptions options, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Return a range of members in a sorted set, by index
    `RedisTransaction` | `zrangebylex(java.lang.String key, java.lang.String min, java.lang.String max, java.util.Map<java.lang.String, java.lang.Object> options, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Return a range of members in a sorted set, by lexicographical range
    `RedisTransaction` | `zrangebyscore(java.lang.String key, java.lang.String min, java.lang.String max, java.util.Map<java.lang.String, java.lang.Object> options, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Return a range of members in a sorted set, by score
    `RedisTransaction` | `zrank(java.lang.String key, java.lang.String member, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Determine the index of a member in a sorted set
    `RedisTransaction` | `zrem(java.lang.String key, java.lang.String member, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Remove one member from a sorted set
    `RedisTransaction` | `zremMany(java.lang.String key, java.util.List<java.lang.String> members, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Remove one or more members from a sorted set
    `RedisTransaction` | `zremrangebylex(java.lang.String key, java.lang.String min, java.lang.String max, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Remove all members in a sorted set between the given lexicographical range
    `RedisTransaction` | `zremrangebyrank(java.lang.String key, long start, long stop, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Remove all members in a sorted set within the given indexes
    `RedisTransaction` | `zremrangebyscore(java.lang.String key, java.lang.String min, java.lang.String max, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Remove all members in a sorted set within the given scores
    `RedisTransaction` | `zrevrange(java.lang.String key, long start, long stop, io.vertx.redis.op.RangeOptions options, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Return a range of members in a sorted set, by index, with scores ordered from high to low
    `RedisTransaction` | `zrevrangebylex(java.lang.String key, java.lang.String max, java.lang.String min, java.util.Map<java.lang.String, java.lang.Object> options, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Return a range of members in a sorted set, by score, between the given lexicographical range with scores ordered from high to low
    `RedisTransaction` | `zrevrangebyscore(java.lang.String key, java.lang.String max, java.lang.String min, java.util.Map<java.lang.String, java.lang.Object> options, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Return a range of members in a sorted set, by score, with scores ordered from high to low
    `RedisTransaction` | `zrevrank(java.lang.String key, java.lang.String member, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Determine the index of a member in a sorted set, with scores ordered from high to low
    `RedisTransaction` | `zscan(java.lang.String key, java.lang.String cursor, java.util.Map<java.lang.String, java.lang.Object> options, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Incrementally iterate sorted sets elements and associated scores
    `RedisTransaction` | `zscore(java.lang.String key, java.lang.String member, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Get the score associated with the given member in a sorted set
    `RedisTransaction` | `zunionstore(java.lang.String destkey, java.util.List<java.lang.String> sets, io.vertx.redis.op.AggregateOptions options, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Add multiple sorted sets and store the resulting sorted set in a new key
    `RedisTransaction` | `zunionstoreWeighed(java.lang.String key, java.util.Map<java.lang.String, java.lang.Double> sets, io.vertx.redis.op.AggregateOptions options, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Add multiple sorted sets using weights, and store the resulting sorted set in a new key

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### RedisTransaction(java.lang.Object delegate)

  - ### Method Detail

    - #### RedisTransaction append(java.lang.String key, java.lang.String value, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Append a value to a key

      Returns:
      Parameters:
        `key` - Key string
        `value` - Value to append
        `handler` - Handler for the result of this call.

    - #### RedisTransaction auth(java.lang.String password, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Authenticate to the server

      Returns:
      Parameters:
        `password` - Password for authentication
        `handler` - Handler for the result of this call.

    - #### RedisTransaction bgrewriteaof(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Asynchronously rewrite the append-only file

      Returns:
      Parameters:
        handler

    - #### RedisTransaction bgsave(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Asynchronously save the dataset to disk

      Returns:
      Parameters:
        handler

    - #### RedisTransaction bitcount(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Count set bits in a string

      Returns:
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.

    - #### RedisTransaction bitcountRange(java.lang.String key, long start, long end, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Count set bits in a string

      Returns:
      Parameters:
        `key` - Key string
        `start` - Start index
        `end` - End index
        `handler` - Handler for the result of this call.

    - #### RedisTransaction bitop(io.vertx.redis.op.BitOperation operation, java.lang.String destkey, java.util.List<java.lang.String> keys, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Perform bitwise operations between strings

      Returns:
      Parameters:
        `operation` - Bitwise operation to perform
        `destkey` - Destination key where result is stored
        `keys` - List of keys on which to perform the operation
        `handler` - Handler for the result of this call.

    - #### RedisTransaction bitpos(java.lang.String key, int bit, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Find first bit set or clear in a string

      Returns:
      Parameters:
        `key` - Key string
        `bit` - What bit value to look for - must be 1, or 0
        `handler` - Handler for the result of this call.

    - #### RedisTransaction bitposFrom(java.lang.String key, int bit, int start, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Find first bit set or clear in a string

      See also bitposRange() method, which takes start, and stop offset.

      Returns:
      Parameters:
        `key` - Key string
        `bit` - What bit value to look for - must be 1, or 0
        `start` - Start offset
        `handler` - Handler for the result of this call.

    - #### RedisTransaction bitposRange(java.lang.String key, int bit, int start, int stop, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Find first bit set or clear in a string

      Note: when both start, and stop offsets are specified, behaviour is slightly different than if only start is specified

      Returns:
      Parameters:
        `key` - Key string
        `bit` - What bit value to look for - must be 1, or 0
        `start` - Start offset
        `stop` - End offset - inclusive
        `handler` - Handler for the result of this call.

    - #### RedisTransaction blpop(java.lang.String key, int seconds, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Remove and get the first element in a list, or block until one is available

      Returns:
      Parameters:
        `key` - Key string identifying a list to watch
        `seconds` - Timeout in seconds
        `handler` - Handler for the result of this call.

    - #### RedisTransaction blpopMany(java.util.List<java.lang.String> keys, int seconds, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Remove and get the first element in any of the lists, or block until one is available

      Returns:
      Parameters:
        `keys` - List of key strings identifying lists to watch
        `seconds` - Timeout in seconds
        `handler` - Handler for the result of this call.

    - #### RedisTransaction brpop(java.lang.String key, int seconds, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Remove and get the last element in a list, or block until one is available

      Returns:
      Parameters:
        `key` - Key string identifying a list to watch
        `seconds` - Timeout in seconds
        `handler` - Handler for the result of this call.

    - #### RedisTransaction brpopMany(java.util.List<java.lang.String> keys, int seconds, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Remove and get the last element in any of the lists, or block until one is available

      Returns:
      Parameters:
        `keys` - List of key strings identifying lists to watch
        `seconds` - Timeout in seconds
        `handler` - Handler for the result of this call.

    - #### RedisTransaction brpoplpush(java.lang.String key, java.lang.String destkey, int seconds, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Pop a value from a list, push it to another list and return it; or block until one is available

      Returns:
      Parameters:
        `key` - Key string identifying the source list
        `destkey` - Key string identifying the destination list
        `seconds` - Timeout in seconds
        `handler` - Handler for the result of this call.

    - #### RedisTransaction clientGetname(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Get the current connection name

      Returns:
      Parameters:
        handler

    - #### RedisTransaction clientKill(java.util.Map<java.lang.String, java.lang.Object> filter = [:], io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Kill the connection of a client

      Returns:
      Parameters:
        `filter` - Filter options (see KillFilter)
        `handler` - Handler for the result of this call.

    - #### RedisTransaction clientList(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Get the list of client connections

      Returns:
      Parameters:
        handler

    - #### RedisTransaction clientPause(long millis, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Stop processing commands from clients for some time

      Returns:
      Parameters:
        `millis` - Pause time in milliseconds
        `handler` - Handler for the result of this call.

    - #### RedisTransaction clientSetname(java.lang.String name, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Set the current connection name

      Returns:
      Parameters:
        `name` - New name for current connection
        `handler` - Handler for the result of this call.

    - #### void close(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> handler)

      Close the client - when it is fully closed the handler will be called.

      Parameters:
        handler

    - #### RedisTransaction clusterAddslots(java.util.List<java.lang.String> slots, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Assign new hash slots to receiving node.

      Returns:
      Parameters:
        slots
        `handler` - Handler for the result of this call.

    - #### RedisTransaction clusterCountFailureReports(java.lang.String nodeId, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Return the number of failure reports active for a given node.

      Returns:
      Parameters:
        nodeId
        `handler` - Handler for the result of this call.

    - #### RedisTransaction clusterCountkeysinslot(long slot, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Return the number of local keys in the specified hash slot.

      Returns:
      Parameters:
        slot
        `handler` - Handler for the result of this call.

    - #### RedisTransaction clusterDelslots(long slot, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Set hash slots as unbound in receiving node.

      Returns:
      Parameters:
        slot
        `handler` - Handler for the result of this call.

    - #### RedisTransaction clusterDelslotsMany(java.util.List<java.lang.String> slots, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Set hash slots as unbound in receiving node.

      Returns:
      Parameters:
        slots
        `handler` - Handler for the result of this call.

    - #### RedisTransaction clusterFailOverWithOptions(io.vertx.redis.op.FailoverOptions options, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Forces a slave to perform a manual failover of its master.

      Returns:
      Parameters:
        options
        `handler` - Handler for the result of this call.

    - #### RedisTransaction clusterFailover(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Forces a slave to perform a manual failover of its master.

      Returns:
      Parameters:
        `handler` - Handler for the result of this call.

    - #### RedisTransaction clusterForget(java.lang.String nodeId, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Remove a node from the nodes table.

      Returns:
      Parameters:
        nodeId
        `handler` - Handler for the result of this call.

    - #### RedisTransaction clusterGetkeysinslot(long slot, long count, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Return local key names in the specified hash slot.

      Returns:
      Parameters:
        slot
        count
        `handler` - Handler for the result of this call.

    - #### RedisTransaction clusterInfo(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Provides info about Redis Cluster node state.

      Returns:
      Parameters:
        `handler` - Handler for the result of this call.

    - #### RedisTransaction clusterKeyslot(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Returns the hash slot of the specified key.

      Returns:
      Parameters:
        key
        `handler` - Handler for the result of this call.

    - #### RedisTransaction clusterMeet(java.lang.String ip, long port, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Force a node cluster to handshake with another node.

      Returns:
      Parameters:
        ip
        port
        `handler` - Handler for the result of this call.

    - #### RedisTransaction clusterNodes(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Get Cluster config for the node.

      Returns:
      Parameters:
        `handler` - Handler for the result of this call.

    - #### RedisTransaction clusterReplicate(java.lang.String nodeId, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Reconfigure a node as a slave of the specified master node.

      Returns:
      Parameters:
        nodeId
        `handler` - Handler for the result of this call.

    - #### RedisTransaction clusterReset(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Reset a Redis Cluster node.

      Returns:
      Parameters:
        `handler` - Handler for the result of this call.

    - #### RedisTransaction clusterResetWithOptions(io.vertx.redis.op.ResetOptions options, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Reset a Redis Cluster node.

      Returns:
      Parameters:
        options
        `handler` - Handler for the result of this call.

    - #### RedisTransaction clusterSaveconfig(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Forces the node to save cluster state on disk.

      Returns:
      Parameters:
        `handler` - Handler for the result of this call.

    - #### RedisTransaction clusterSetConfigEpoch(long epoch, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Set the configuration epoch in a new node.

      Returns:
      Parameters:
        epoch
        `handler` - Handler for the result of this call.

    - #### RedisTransaction clusterSetslot(long slot, io.vertx.redis.op.SlotCmd subcommand, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Bind an hash slot to a specific node.

      Returns:
      Parameters:
        slot
        subcommand
        `handler` - Handler for the result of this call.

    - #### RedisTransaction clusterSetslotWithNode(long slot, io.vertx.redis.op.SlotCmd subcommand, java.lang.String nodeId, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Bind an hash slot to a specific node.

      Returns:
      Parameters:
        slot
        subcommand
        nodeId
        `handler` - Handler for the result of this call.

    - #### RedisTransaction clusterSlaves(java.lang.String nodeId, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      List slave nodes of the specified master node.

      Returns:
      Parameters:
        nodeId
        `handler` - Handler for the result of this call.

    - #### RedisTransaction clusterSlots(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Get array of Cluster slot to node mappings

      Returns:
      Parameters:
        handler

    - #### RedisTransaction command(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Get array of Redis command details

      Returns:
      Parameters:
        handler

    - #### RedisTransaction commandCount(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Get total number of Redis commands

      Returns:
      Parameters:
        handler

    - #### RedisTransaction commandGetkeys(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Extract keys given a full Redis command

      Returns:
      Parameters:
        handler

    - #### RedisTransaction commandInfo(java.util.List<java.lang.String> commands, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Get array of specific Redis command details

      Returns:
      Parameters:
        `commands` - List of commands to get info for
        `handler` - Handler for the result of this call.

    - #### RedisTransaction configGet(java.lang.String parameter, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Get the value of a configuration parameter

      Returns:
      Parameters:
        `parameter` - Configuration parameter
        `handler` - Handler for the result of this call.

    - #### RedisTransaction configResetstat(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Reset the stats returned by INFO

      Returns:
      Parameters:
        handler

    - #### RedisTransaction configRewrite(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Rewrite the configuration file with the in memory configuration

      Returns:
      Parameters:
        handler

    - #### RedisTransaction configSet(java.lang.String parameter, java.lang.String value, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Set a configuration parameter to the given value

      Returns:
      Parameters:
        `parameter` - Configuration parameter
        `value` - New value
        `handler` - Handler for the result of this call.

    - #### RedisTransaction dbsize(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Return the number of keys in the selected database

      Returns:
      Parameters:
        handler

    - #### RedisTransaction debugObject(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Get debugging information about a key

      Returns:
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.

    - #### RedisTransaction debugSegfault(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Make the server crash

      Returns:
      Parameters:
        handler

    - #### RedisTransaction decr(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Decrement the integer value of a key by one

      Returns:
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.

    - #### RedisTransaction decrby(java.lang.String key, long decrement, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Decrement the integer value of a key by the given number

      Returns:
      Parameters:
        `key` - Key string
        `decrement` - Value by which to decrement
        `handler` - Handler for the result of this call.

    - #### RedisTransaction del(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Delete a key

      Returns:
      Parameters:
        `key` - Keys to delete
        `handler` - Handler for the result of this call.

    - #### RedisTransaction delMany(java.util.List<java.lang.String> keys, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Delete many keys

      Returns:
      Parameters:
        `keys` - List of keys to delete
        `handler` - Handler for the result of this call.

    - #### RedisTransaction discard(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Discard all commands issued after MULTI

      Returns:
      Parameters:
        handler

    - #### RedisTransaction dump(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Return a serialized version of the value stored at the specified key.

      Returns:
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.

    - #### RedisTransaction echo(java.lang.String message, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Echo the given string

      Returns:
      Parameters:
        `message` - String to echo
        `handler` - Handler for the result of this call.

    - #### RedisTransaction eval(java.lang.String script, java.util.List<java.lang.String> keys, java.util.List<java.lang.String> args, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Execute a Lua script server side. Due to the dynamic nature of this command any response type could be returned for This reason and to ensure type safety the reply is always guaranteed to be a JsonArray.

      When a reply if for example a String the handler will be called with a JsonArray with a single element containing the String.

      Returns:
      Parameters:
        `script` - Lua script to evaluate
        `keys` - List of keys
        `args` - List of argument values
        `handler` - Handler for the result of this call.

    - #### RedisTransaction evalsha(java.lang.String sha1, java.util.List<java.lang.String> keys, java.util.List<java.lang.String> values, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Execute a Lua script server side. Due to the dynamic nature of this command any response type could be returned for This reason and to ensure type safety the reply is always guaranteed to be a JsonArray.

      When a reply if for example a String the handler will be called with a JsonArray with a single element containing the String.

      Returns:
      Parameters:
        `sha1` - SHA1 digest of the script cached on the server
        `keys` - List of keys
        `values` - List of values
        `handler` - Handler for the result of this call.

    - #### RedisTransaction exec(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)

      Execute all commands issued after MULTI

      Returns:
      Parameters:
        handler

    - #### RedisTransaction exists(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Determine if a key exists

      Returns:
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.

    - #### RedisTransaction expire(java.lang.String key, int seconds, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Set a key's time to live in seconds

      Returns:
      Parameters:
        `key` - Key string
        `seconds` - Time to live in seconds
        `handler` - Handler for the result of this call.

    - #### RedisTransaction expireat(java.lang.String key, long seconds, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Set the expiration for a key as a UNIX timestamp

      Returns:
      Parameters:
        `key` - Key string
        `seconds` - Expiry time as Unix timestamp in seconds
        `handler` - Handler for the result of this call.

    - #### RedisTransaction flushall(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Remove all keys from all databases

      Returns:
      Parameters:
        handler

    - #### RedisTransaction flushdb(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Remove all keys from the current database

      Returns:
      Parameters:
        handler

    - #### RedisTransaction geoadd(java.lang.String key, double longitude, double latitude, java.lang.String member, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Add one or more geospatial items in the geospatial index represented using a sorted set.

      Returns:
      Parameters:
        `key` - Key string
        `longitude` - longitude
        `latitude` - latitude
        `member` - member
        `handler` - Handler for the result of this call.

    - #### RedisTransaction geoaddMany(java.lang.String key, java.util.List<java.util.Map<java.lang.String, java.lang.Object>> members, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Add one or more geospatial items in the geospatial index represented using a sorted set.

      Returns:
      Parameters:
        `key` - Key string
        `members` - list of <lon, lat, member>
        `handler` - Handler for the result of this call.

    - #### RedisTransaction geodist(java.lang.String key, java.lang.String member1, java.lang.String member2, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Return the distance between two members in the geospatial index represented by the sorted set.

      Returns:
      Parameters:
        `key` - Key string
        `member1` - member 1
        `member2` - member 2
        `handler` - Handler for the result of this call.

    - #### RedisTransaction geodistWithUnit(java.lang.String key, java.lang.String member1, java.lang.String member2, io.vertx.redis.op.GeoUnit unit, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Return the distance between two members in the geospatial index represented by the sorted set.

      Returns:
      Parameters:
        `key` - Key string
        `member1` - member 1
        `member2` - member 2
        `unit` - geo unit
        `handler` - Handler for the result of this call.

    - #### RedisTransaction geohash(java.lang.String key, java.lang.String member, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Return valid Geohash strings representing the position of one or more elements in a sorted set value representing a geospatial index (where elements were added using GEOADD).

      Returns:
      Parameters:
        `key` - Key string
        `member` - member
        `handler` - Handler for the result of this call.

    - #### RedisTransaction geohashMany(java.lang.String key, java.util.List<java.lang.String> members, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Return valid Geohash strings representing the position of one or more elements in a sorted set value representing a geospatial index (where elements were added using GEOADD).

      Returns:
      Parameters:
        `key` - Key string
        `members` - list of members
        `handler` - Handler for the result of this call.

    - #### RedisTransaction geopos(java.lang.String key, java.lang.String member, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Return the positions (longitude,latitude) of all the specified members of the geospatial index represented by the sorted set at key.

      Returns:
      Parameters:
        `key` - Key string
        `member` - member
        `handler` - Handler for the result of this call.

    - #### RedisTransaction geoposMany(java.lang.String key, java.util.List<java.lang.String> members, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Return the positions (longitude,latitude) of all the specified members of the geospatial index represented by the sorted set at key.

      Returns:
      Parameters:
        `key` - Key string
        `members` - list of members
        `handler` - Handler for the result of this call.

    - #### RedisTransaction georadius(java.lang.String key, double longitude, double latitude, double radius, io.vertx.redis.op.GeoUnit unit, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Return the members of a sorted set populated with geospatial information using GEOADD, which are within the borders of the area specified with the center location and the maximum distance from the center (the radius).

      Returns:
      Parameters:
        `key` - Key string
        `longitude` - longitude
        `latitude` - latitude
        `radius` - radius
        `unit` - geo unit
        `handler` - Handler for the result of this call.

    - #### RedisTransaction georadiusWithOptions(java.lang.String key, double longitude, double latitude, double radius, io.vertx.redis.op.GeoUnit unit, java.util.Map<java.lang.String, java.lang.Object> options, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Return the members of a sorted set populated with geospatial information using GEOADD, which are within the borders of the area specified with the center location and the maximum distance from the center (the radius).

      Returns:
      Parameters:
        `key` - Key string
        `longitude` - longitude
        `latitude` - latitude
        `radius` - radius
        `unit` - geo unit
        `options` - geo radius options (see GeoRadiusOptions)
        `handler` - Handler for the result of this call.

    - #### RedisTransaction georadiusbymember(java.lang.String key, java.lang.String member, double radius, io.vertx.redis.op.GeoUnit unit, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      This command is exactly like GEORADIUS with the sole difference that instead of taking, as the center of the area to query, a longitude and latitude value, it takes the name of a member already existing inside the geospatial index represented by the sorted set.

      Returns:
      Parameters:
        `key` - Key string
        `member` - member
        `radius` - radius
        `unit` - geo unit
        `handler` - Handler for the result of this call.

    - #### RedisTransaction georadiusbymemberWithOptions(java.lang.String key, java.lang.String member, double radius, io.vertx.redis.op.GeoUnit unit, java.util.Map<java.lang.String, java.lang.Object> options, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      This command is exactly like GEORADIUS with the sole difference that instead of taking, as the center of the area to query, a longitude and latitude value, it takes the name of a member already existing inside the geospatial index represented by the sorted set.

      Returns:
      Parameters:
        `key` - Key string
        `member` - member
        `radius` - radius
        `unit` - geo unit
        `options` - geo radius options (see GeoRadiusOptions)
        `handler` - Handler for the result of this call.

    - #### RedisTransaction get(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Get the value of a key

      Returns:
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.

    - #### RedisTransaction getBinary(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Get the value of a key - without decoding as utf-8

      Returns:
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.

    - #### java.lang.Object getDelegate()

    - #### RedisTransaction getbit(java.lang.String key, long offset, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Returns the bit value at offset in the string value stored at key

      Returns:
      Parameters:
        `key` - Key string
        `offset` - Offset in bits
        `handler` - Handler for the result of this call.

    - #### RedisTransaction getrange(java.lang.String key, long start, long end, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Get a substring of the string stored at a key

      Returns:
      Parameters:
        `key` - Key string
        `start` - Start offset
        `end` - End offset - inclusive
        `handler` - Handler for the result of this call.

    - #### RedisTransaction getset(java.lang.String key, java.lang.String value, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Set the string value of a key and return its old value

      Returns:
      Parameters:
        `key` - Key of which value to set
        `value` - New value for the key
        `handler` - Handler for the result of this call.

    - #### RedisTransaction hdel(java.lang.String key, java.lang.String field, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Delete one or more hash fields

      Returns:
      Parameters:
        `key` - Key string
        `field` - Field name
        `handler` - Handler for the result of this call.

    - #### RedisTransaction hdelMany(java.lang.String key, java.util.List<java.lang.String> fields, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Delete one or more hash fields

      Returns:
      Parameters:
        `key` - Key string
        `fields` - Field names
        `handler` - Handler for the result of this call.

    - #### RedisTransaction hexists(java.lang.String key, java.lang.String field, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Determine if a hash field exists

      Returns:
      Parameters:
        `key` - Key string
        `field` - Field name
        `handler` - Handler for the result of this call.

    - #### RedisTransaction hget(java.lang.String key, java.lang.String field, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Get the value of a hash field

      Returns:
      Parameters:
        `key` - Key string
        `field` - Field name
        `handler` - Handler for the result of this call.

    - #### RedisTransaction hgetall(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Get all the fields and values in a hash

      Returns:
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.

    - #### RedisTransaction hincrby(java.lang.String key, java.lang.String field, long increment, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Increment the integer value of a hash field by the given number

      Returns:
      Parameters:
        `key` - Key string
        `field` - Field name
        `increment` - Value by which to increment
        `handler` - Handler for the result of this call.

    - #### RedisTransaction hincrbyfloat(java.lang.String key, java.lang.String field, double increment, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Increment the float value of a hash field by the given amount

      Returns:
      Parameters:
        `key` - Key string
        `field` - Field name
        `increment` - Value by which to increment
        `handler` - Handler for the result of this call.

    - #### RedisTransaction hkeys(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Get all the fields in a hash

      Returns:
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.

    - #### RedisTransaction hlen(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Get the number of fields in a hash

      Returns:
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.

    - #### RedisTransaction hmget(java.lang.String key, java.util.List<java.lang.String> fields, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Get the values of all the given hash fields

      Returns:
      Parameters:
        `key` - Key string
        `fields` - Field names
        `handler` - Handler for the result of this call.

    - #### RedisTransaction hmset(java.lang.String key, java.util.Map<java.lang.String, java.lang.Object> values, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Set multiple hash fields to multiple values

      Returns:
      Parameters:
        `key` - Key string
        `values` - Map of field:value pairs
        `handler` - Handler for the result of this call.

    - #### RedisTransaction hscan(java.lang.String key, java.lang.String cursor, java.util.Map<java.lang.String, java.lang.Object> options, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Incrementally iterate hash fields and associated values

      Returns:
      Parameters:
        `key` - Key string
        `cursor` - Cursor id
        `options` - Scan options (see ScanOptions)
        `handler` - Handler for the result of this call.

    - #### RedisTransaction hset(java.lang.String key, java.lang.String field, java.lang.String value, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Set the string value of a hash field

      Returns:
      Parameters:
        `key` - Key string
        `field` - Field name
        `value` - New value
        `handler` - Handler for the result of this call.

    - #### RedisTransaction hsetnx(java.lang.String key, java.lang.String field, java.lang.String value, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Set the value of a hash field, only if the field does not exist

      Returns:
      Parameters:
        `key` - Key string
        `field` - Field name
        `value` - New value
        `handler` - Handler for the result of this call.

    - #### RedisTransaction hvals(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Get all the values in a hash

      Returns:
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.

    - #### RedisTransaction incr(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Increment the integer value of a key by one

      Returns:
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.

    - #### RedisTransaction incrby(java.lang.String key, long increment, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Increment the integer value of a key by the given amount

      Returns:
      Parameters:
        `key` - Key string
        `increment` - Value by which to increment
        `handler` - Handler for the result of this call.

    - #### RedisTransaction incrbyfloat(java.lang.String key, double increment, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Increment the float value of a key by the given amount

      Returns:
      Parameters:
        `key` - Key string
        `increment` - Value by which to increment
        `handler` - Handler for the result of this call.

    - #### RedisTransaction info(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Get information and statistics about the server

      Returns:
      Parameters:
        `handler` - Handler for the result of this call.

    - #### RedisTransaction infoSection(java.lang.String section, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Get information and statistics about the server

      Returns:
      Parameters:
        `section` - Specific section of information to return
        `handler` - Handler for the result of this call.

    - #### RedisTransaction keys(java.lang.String pattern, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Find all keys matching the given pattern

      Returns:
      Parameters:
        `pattern` - Pattern to limit the keys returned
        `handler` - Handler for the result of this call.

    - #### RedisTransaction lastsave(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Get the UNIX time stamp of the last successful save to disk

      Returns:
      Parameters:
        handler

    - #### RedisTransaction lindex(java.lang.String key, int index, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Get an element from a list by its index

      Returns:
      Parameters:
        `key` - Key string
        `index` - Index of list element to get
        `handler` - Handler for the result of this call.

    - #### RedisTransaction linsert(java.lang.String key, io.vertx.redis.op.InsertOptions option, java.lang.String pivot, java.lang.String value, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Insert an element before or after another element in a list

      Returns:
      Parameters:
        `key` - Key string
        `option` - BEFORE or AFTER
        `pivot` - Key to use as a pivot
        `value` - Value to be inserted before or after the pivot
        `handler` - Handler for the result of this call.

    - #### RedisTransaction llen(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Get the length of a list

      Returns:
      Parameters:
        `key` - String key
        `handler` - Handler for the result of this call.

    - #### RedisTransaction lpop(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Remove and get the first element in a list

      Returns:
      Parameters:
        `key` - String key
        `handler` - Handler for the result of this call.

    - #### RedisTransaction lpush(java.lang.String key, java.lang.String value, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Prepend one value to a list

      Returns:
      Parameters:
        `key` - Key string
        `value` - Value to be added at the beginning of the list
        `handler` - Handler for the result of this call.

    - #### RedisTransaction lpushMany(java.lang.String key, java.util.List<java.lang.String> values, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Prepend one or multiple values to a list

      Returns:
      Parameters:
        `key` - Key string
        `values` - Values to be added at the beginning of the list, one by one
        `handler` - Handler for the result of this call.

    - #### RedisTransaction lpushx(java.lang.String key, java.lang.String value, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Prepend a value to a list, only if the list exists

      Returns:
      Parameters:
        `key` - Key string
        `value` - Value to add at the beginning of the list
        `handler` - Handler for the result of this call.

    - #### RedisTransaction lrange(java.lang.String key, long from, long to, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Get a range of elements from a list

      Returns:
      Parameters:
        `key` - Key string
        `from` - Start index
        `to` - Stop index
        `handler` - Handler for the result of this call.

    - #### RedisTransaction lrem(java.lang.String key, long count, java.lang.String value, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Remove elements from a list

      Returns:
      Parameters:
        `key` - Key string
        `count` - Number of first found occurrences equal to \$value to remove from the list
        `value` - Value to be removed
        `handler` - Handler for the result of this call.

    - #### RedisTransaction lset(java.lang.String key, long index, java.lang.String value, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Set the value of an element in a list by its index

      Returns:
      Parameters:
        `key` - Key string
        `index` - Position within list
        `value` - New value
        `handler` - Handler for the result of this call.

    - #### RedisTransaction ltrim(java.lang.String key, long from, long to, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Trim a list to the specified range

      Returns:
      Parameters:
        `key` - Key string
        `from` - Start index
        `to` - Stop index
        `handler` - Handler for the result of this call.

    - #### RedisTransaction mget(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Get the value of the given key

      Returns:
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.

    - #### RedisTransaction mgetMany(java.util.List<java.lang.String> keys, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Get the values of all the given keys

      Returns:
      Parameters:
        `keys` - List of keys to get
        `handler` - Handler for the result of this call.

    - #### RedisTransaction migrate(java.lang.String host, int port, java.lang.String key, int destdb, long timeout, java.util.Map<java.lang.String, java.lang.Object> options, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Atomically transfer a key from a Redis instance to another one.

      Returns:
      Parameters:
        `host` - Destination host
        `port` - Destination port
        `key` - Key to migrate
        `destdb` - Destination database index
        timeout
        `options` - Migrate options (see MigrateOptions)
        `handler` - Handler for the result of this call.

    - #### RedisTransaction monitor(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Listen for all requests received by the server in real time

      Returns:
      Parameters:
        handler

    - #### RedisTransaction move(java.lang.String key, int destdb, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Move a key to another database

      Returns:
      Parameters:
        `key` - Key to migrate
        `destdb` - Destination database index
        `handler` - Handler for the result of this call.

    - #### RedisTransaction mset(java.util.Map<java.lang.String, java.lang.Object> keyvals, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Set multiple keys to multiple values

      Returns:
      Parameters:
        `keyvals` - Key value pairs to set
        `handler` - Handler for the result of this call.

    - #### RedisTransaction msetnx(java.util.Map<java.lang.String, java.lang.Object> keyvals, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Set multiple keys to multiple values, only if none of the keys exist

      Returns:
      Parameters:
        `keyvals` - Key value pairs to set
        `handler` - Handler for the result of this call.

    - #### RedisTransaction multi(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Mark the start of a RedisTransaction block

      Returns:
      Parameters:
        handler

    - #### RedisTransaction object(java.lang.String key, io.vertx.redis.op.ObjectCmd cmd, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Inspect the internals of Redis objects

      Returns:
      Parameters:
        `key` - Key string
        `cmd` - Object sub command
        `handler` - Handler for the result of this call.

    - #### RedisTransaction persist(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Remove the expiration from a key

      Returns:
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.

    - #### RedisTransaction pexpire(java.lang.String key, long millis, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Set a key's time to live in milliseconds

      Returns:
      Parameters:
        `key` - String key
        `millis` - Time to live in milliseconds
        `handler` - Handler for the result of this call.

    - #### RedisTransaction pexpireat(java.lang.String key, long millis, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Set the expiration for a key as a UNIX timestamp specified in milliseconds

      Returns:
      Parameters:
        `key` - Key string
        `millis` - Expiry time as Unix timestamp in milliseconds
        `handler` - Handler for the result of this call.

    - #### RedisTransaction pfadd(java.lang.String key, java.lang.String element, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Adds the specified element to the specified HyperLogLog.

      Returns:
      Parameters:
        `key` - Key string
        `element` - Element to add
        `handler` - Handler for the result of this call.

    - #### RedisTransaction pfaddMany(java.lang.String key, java.util.List<java.lang.String> elements, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Adds the specified elements to the specified HyperLogLog.

      Returns:
      Parameters:
        `key` - Key string
        `elements` - Elementa to add
        `handler` - Handler for the result of this call.

    - #### RedisTransaction pfcount(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Return the approximated cardinality of the set observed by the HyperLogLog at key.

      Returns:
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.

    - #### RedisTransaction pfcountMany(java.util.List<java.lang.String> keys, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Return the approximated cardinality of the set(s) observed by the HyperLogLog at key(s).

      Returns:
      Parameters:
        `keys` - List of keys
        `handler` - Handler for the result of this call.

    - #### RedisTransaction pfmerge(java.lang.String destkey, java.util.List<java.lang.String> keys, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Merge N different HyperLogLogs into a single one.

      Returns:
      Parameters:
        `destkey` - Destination key
        `keys` - List of source keys
        `handler` - Handler for the result of this call.

    - #### RedisTransaction ping(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Ping the server

      Returns:
      Parameters:
        handler

    - #### RedisTransaction psetex(java.lang.String key, long millis, java.lang.String value, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Set the value and expiration in milliseconds of a key

      Returns:
      Parameters:
        `key` - Key string
        `millis` - Number of milliseconds until the key expires
        `value` - New value for key
        `handler` - Handler for the result of this call.

    - #### RedisTransaction psubscribe(java.lang.String pattern, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Listen for messages published to channels matching the given pattern

      Returns:
      Parameters:
        `pattern` - Pattern string
        `handler` - Handler for the result of this call.

    - #### RedisTransaction psubscribeMany(java.util.List<java.lang.String> patterns, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Listen for messages published to channels matching the given patterns

      Returns:
      Parameters:
        `patterns` - List of patterns
        `handler` - Handler for the result of this call.

    - #### RedisTransaction pttl(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Get the time to live for a key in milliseconds

      Returns:
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.

    - #### RedisTransaction publish(java.lang.String channel, java.lang.String message, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Post a message to a channel

      Returns:
      Parameters:
        `channel` - Channel key
        `message` - Message to send to channel
        `handler` - Handler for the result of this call.

    - #### RedisTransaction pubsubChannels(java.lang.String pattern, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Lists the currently active channels - only those matching the pattern

      Returns:
      Parameters:
        `pattern` - A glob-style pattern - an empty string means no pattern
        `handler` - Handler for the result of this call.

    - #### RedisTransaction pubsubNumpat(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Returns the number of subscriptions to patterns (that are performed using the PSUBSCRIBE command)

      Returns:
      Parameters:
        `handler` - Handler for the result of this call.

    - #### RedisTransaction pubsubNumsub(java.util.List<java.lang.String> channels, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Returns the number of subscribers (not counting clients subscribed to patterns) for the specified channels

      Returns:
      Parameters:
        `channels` - List of channels
        `handler` - Handler for the result of this call.

    - #### RedisTransaction punsubscribe(java.util.List<java.lang.String> patterns, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Stop listening for messages posted to channels matching the given patterns

      Returns:
      Parameters:
        `patterns` - List of patterns to match against
        `handler` - Handler for the result of this call.

    - #### RedisTransaction randomkey(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Return a random key from the keyspace

      Returns:
      Parameters:
        handler

    - #### RedisTransaction rename(java.lang.String key, java.lang.String newkey, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Rename a key

      Returns:
      Parameters:
        `key` - Key string to be renamed
        `newkey` - New key string
        `handler` - Handler for the result of this call.

    - #### RedisTransaction renamenx(java.lang.String key, java.lang.String newkey, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Rename a key, only if the new key does not exist

      Returns:
      Parameters:
        `key` - Key string to be renamed
        `newkey` - New key string
        `handler` - Handler for the result of this call.

    - #### RedisTransaction restore(java.lang.String key, long millis, java.lang.String serialized, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Create a key using the provided serialized value, previously obtained using DUMP.

      Returns:
      Parameters:
        `key` - Key string
        `millis` - Expiry time in milliseconds to set on the key
        `serialized` - Serialized form of the key value as obtained using DUMP
        `handler` - Handler for the result of this call.

    - #### RedisTransaction role(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Return the role of the instance in the context of replication

      Returns:
      Parameters:
        handler

    - #### RedisTransaction rpop(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Remove and get the last element in a list

      Returns:
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.

    - #### RedisTransaction rpoplpush(java.lang.String key, java.lang.String destkey, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Remove the last element in a list, append it to another list and return it

      Returns:
      Parameters:
        `key` - Key string identifying source list
        `destkey` - Key string identifying destination list
        `handler` - Handler for the result of this call.

    - #### RedisTransaction rpush(java.lang.String key, java.lang.String value, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Append one or multiple values to a list

      Returns:
      Parameters:
        `key` - Key string
        `value` - Value to be added to the end of the list
        `handler` - Handler for the result of this call.

    - #### RedisTransaction rpushMany(java.lang.String key, java.util.List<java.lang.String> values, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Append one or multiple values to a list

      Returns:
      Parameters:
        `key` - Key string
        `values` - List of values to add to the end of the list
        `handler` - Handler for the result of this call.

    - #### RedisTransaction rpushx(java.lang.String key, java.lang.String value, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Append a value to a list, only if the list exists

      Returns:
      Parameters:
        `key` - Key string
        `value` - Value to be added to the end of the list
        `handler` - Handler for the result of this call.

    - #### RedisTransaction sadd(java.lang.String key, java.lang.String member, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Add a member to a set

      Returns:
      Parameters:
        `key` - Key string
        `member` - Value to be added to the set
        `handler` - Handler for the result of this call.

    - #### RedisTransaction saddMany(java.lang.String key, java.util.List<java.lang.String> members, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Add one or more members to a set

      Returns:
      Parameters:
        `key` - Key string
        `members` - Values to be added to the set
        `handler` - Handler for the result of this call.

    - #### RedisTransaction save(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Synchronously save the dataset to disk

      Returns:
      Parameters:
        handler

    - #### RedisTransaction scan(java.lang.String cursor, java.util.Map<java.lang.String, java.lang.Object> options, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Incrementally iterate the keys space

      Returns:
      Parameters:
        `cursor` - Cursor id
        `options` - Scan options (see ScanOptions)
        `handler` - Handler for the result of this call.

    - #### RedisTransaction scard(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Get the number of members in a set

      Returns:
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.

    - #### RedisTransaction scriptExists(java.lang.String script, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Check existence of script in the script cache.

      Returns:
      Parameters:
        `script` - SHA1 digest identifying a script in the script cache
        `handler` - Handler for the result of this call.

    - #### RedisTransaction scriptExistsMany(java.util.List<java.lang.String> scripts, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Check existence of scripts in the script cache.

      Returns:
      Parameters:
        `scripts` - List of SHA1 digests identifying scripts in the script cache
        `handler` - Handler for the result of this call.

    - #### RedisTransaction scriptFlush(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Remove all the scripts from the script cache.

      Returns:
      Parameters:
        handler

    - #### RedisTransaction scriptKill(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Kill the script currently in execution.

      Returns:
      Parameters:
        handler

    - #### RedisTransaction scriptLoad(java.lang.String script, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Load the specified Lua script into the script cache.

      Returns:
      Parameters:
        `script` - Lua script
        `handler` - Handler for the result of this call.

    - #### RedisTransaction sdiff(java.lang.String key, java.util.List<java.lang.String> cmpkeys, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Subtract multiple sets

      Returns:
      Parameters:
        `key` - Key identifying the set to compare with all other sets combined
        `cmpkeys` - List of keys identifying sets to subtract from the key set
        `handler` - Handler for the result of this call.

    - #### RedisTransaction sdiffstore(java.lang.String destkey, java.lang.String key, java.util.List<java.lang.String> cmpkeys, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Subtract multiple sets and store the resulting set in a key

      Returns:
      Parameters:
        `destkey` - Destination key where the result should be stored
        `key` - Key identifying the set to compare with all other sets combined
        `cmpkeys` - List of keys identifying sets to subtract from the key set
        `handler` - Handler for the result of this call.

    - #### RedisTransaction select(int dbindex, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Change the selected database for the current connection

      Returns:
      Parameters:
        `dbindex` - Index identifying the new active database
        `handler` - Handler for the result of this call.

    - #### RedisTransaction set(java.lang.String key, java.lang.String value, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Set the string value of a key

      Returns:
      Parameters:
        `key` - Key of which value to set
        `value` - New value for the key
        `handler` - Handler for the result of this call.

    - #### RedisTransaction setBinary(java.lang.String key, Buffer value, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Set the binary string value of a key - without encoding as utf-8

      Returns:
      Parameters:
        `key` - Key of which value to set
        `value` - New value for the key
        `handler` - Handler for the result of this call.

    - #### RedisTransaction setBinaryWithOptions(java.lang.String key, Buffer value, java.util.Map<java.lang.String, java.lang.Object> options, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Set the string value of a key

      Returns:
      Parameters:
        `key` - Key of which value to set
        `value` - New value for the key
        `options` - Set options (see SetOptions)
        `handler` - Handler for the result of this call.

    - #### RedisTransaction setWithOptions(java.lang.String key, java.lang.String value, java.util.Map<java.lang.String, java.lang.Object> options, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Set the string value of a key

      Returns:
      Parameters:
        `key` - Key of which value to set
        `value` - New value for the key
        `options` - Set options (see SetOptions)
        `handler` - Handler for the result of this call.

    - #### RedisTransaction setbit(java.lang.String key, long offset, int bit, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Sets or clears the bit at offset in the string value stored at key

      Returns:
      Parameters:
        `key` - Key string
        `offset` - Bit offset
        `bit` - New value - must be 1 or 0
        `handler` - Handler for the result of this call.

    - #### RedisTransaction setex(java.lang.String key, long seconds, java.lang.String value, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Set the value and expiration of a key

      Returns:
      Parameters:
        `key` - Key string
        `seconds` - Number of seconds until the key expires
        `value` - New value for key
        `handler` - Handler for the result of this call.

    - #### RedisTransaction setnx(java.lang.String key, java.lang.String value, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Set the value of a key, only if the key does not exist

      Returns:
      Parameters:
        `key` - Key of which value to set
        `value` - New value for the key
        `handler` - Handler for the result of this call.

    - #### RedisTransaction setrange(java.lang.String key, int offset, java.lang.String value, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Overwrite part of a string at key starting at the specified offset

      Returns:
      Parameters:
        `key` - Key string
        `offset` - Offset - the maximum offset that you can set is 2^29 -1 (536870911), as Redis Strings are limited to 512 megabytes
        `value` - Value to overwrite with
        `handler` - Handler for the result of this call.

    - #### RedisTransaction sinter(java.util.List<java.lang.String> keys, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Intersect multiple sets

      Returns:
      Parameters:
        `keys` - List of keys to perform intersection on
        `handler` - Handler for the result of this call.

    - #### RedisTransaction sinterstore(java.lang.String destkey, java.util.List<java.lang.String> keys, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Intersect multiple sets and store the resulting set in a key

      Returns:
      Parameters:
        `destkey` - Key where to store the results
        `keys` - List of keys to perform intersection on
        `handler` - Handler for the result of this call.

    - #### RedisTransaction sismember(java.lang.String key, java.lang.String member, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Determine if a given value is a member of a set

      Returns:
      Parameters:
        `key` - Key string
        `member` - Member to look for
        `handler` - Handler for the result of this call.

    - #### RedisTransaction slaveof(java.lang.String host, int port, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Make the server a slave of another instance

      Returns:
      Parameters:
        `host` - Host to become this server's master
        `port` - Port of our new master
        `handler` - Handler for the result of this call.

    - #### RedisTransaction slaveofNoone(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Make this server a master

      Returns:
      Parameters:
        `handler` - Handler for the result of this call.

    - #### RedisTransaction slowlogGet(int limit, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Read the Redis slow queries log

      Returns:
      Parameters:
        `limit` - Number of log entries to return. If value is less than zero all entries are returned
        `handler` - Handler for the result of this call.

    - #### RedisTransaction slowlogLen(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Get the length of the Redis slow queries log

      Returns:
      Parameters:
        `handler` - Handler for the result of this call.

    - #### RedisTransaction slowlogReset(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Reset the Redis slow queries log

      Returns:
      Parameters:
        `handler` - Handler for the result of this call.

    - #### RedisTransaction smembers(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Get all the members in a set

      Returns:
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.

    - #### RedisTransaction smove(java.lang.String key, java.lang.String destkey, java.lang.String member, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Move a member from one set to another

      Returns:
      Parameters:
        `key` - Key of source set currently containing the member
        `destkey` - Key identifying the destination set
        `member` - Member to move
        `handler` - Handler for the result of this call.

    - #### RedisTransaction sort(java.lang.String key, java.util.Map<java.lang.String, java.lang.Object> options, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Sort the elements in a list, set or sorted set

      Returns:
      Parameters:
        `key` - Key string
        `options` - Sort options (see SortOptions)
        `handler` - Handler for the result of this call.

    - #### RedisTransaction spop(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Remove and return a random member from a set

      Returns:
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.

    - #### RedisTransaction spopMany(java.lang.String key, int count, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Remove and return random members from a set

      Returns:
      Parameters:
        `key` - Key string
        `count` - Number of members to remove
        `handler` - Handler for the result of this call.

    - #### RedisTransaction srandmember(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Get one or multiple random members from a set

      Returns:
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.

    - #### RedisTransaction srandmemberCount(java.lang.String key, int count, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Get one or multiple random members from a set

      Returns:
      Parameters:
        `key` - Key string
        `count` - Number of members to get
        `handler` - Handler for the result of this call.

    - #### RedisTransaction srem(java.lang.String key, java.lang.String member, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Remove one member from a set

      Returns:
      Parameters:
        `key` - Key string
        `member` - Member to remove
        `handler` - Handler for the result of this call.

    - #### RedisTransaction sremMany(java.lang.String key, java.util.List<java.lang.String> members, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Remove one or more members from a set

      Returns:
      Parameters:
        `key` - Key string
        `members` - Members to remove
        `handler` - Handler for the result of this call.

    - #### RedisTransaction sscan(java.lang.String key, java.lang.String cursor, java.util.Map<java.lang.String, java.lang.Object> options, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Incrementally iterate Set elements

      Returns:
      Parameters:
        `key` - Key string
        `cursor` - Cursor id
        `options` - Scan options (see ScanOptions)
        `handler` - Handler for the result of this call.

    - #### RedisTransaction strlen(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Get the length of the value stored in a key

      Returns:
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.

    - #### RedisTransaction subscribe(java.lang.String channel, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Listen for messages published to the given channels

      Returns:
      Parameters:
        `channel` - Channel to subscribe to
        `handler` - Handler for the result of this call.

    - #### RedisTransaction subscribeMany(java.util.List<java.lang.String> channels, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Listen for messages published to the given channels

      Returns:
      Parameters:
        `channels` - List of channels to subscribe to
        `handler` - Handler for the result of this call.

    - #### RedisTransaction sunion(java.util.List<java.lang.String> keys, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Add multiple sets

      Returns:
      Parameters:
        `keys` - List of keys identifying sets to add up
        `handler` - Handler for the result of this call.

    - #### RedisTransaction sunionstore(java.lang.String destkey, java.util.List<java.lang.String> keys, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Add multiple sets and store the resulting set in a key

      Returns:
      Parameters:
        `destkey` - Destination key
        `keys` - List of keys identifying sets to add up
        `handler` - Handler for the result of this call.

    - #### RedisTransaction sync(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Internal command used for replication

      Returns:
      Parameters:
        handler

    - #### RedisTransaction time(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Return the current server time

      Returns:
      Parameters:
        handler

    - #### RedisTransaction ttl(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Get the time to live for a key

      Returns:
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.

    - #### RedisTransaction type(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Determine the type stored at key

      Returns:
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.

    - #### RedisTransaction unsubscribe(java.util.List<java.lang.String> channels, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Stop listening for messages posted to the given channels

      Returns:
      Parameters:
        `channels` - List of channels to subscribe to
        `handler` - Handler for the result of this call.

    - #### RedisTransaction unwatch(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Forget about all watched keys

      Returns:
      Parameters:
        handler

    - #### RedisTransaction wait(long numSlaves, long timeout, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Wait for the synchronous replication of all the write commands sent in the context of the current connection.

      Returns:
      Parameters:
        numSlaves
        timeout
        `handler` - Handler for the result of this call.

    - #### RedisTransaction watch(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Watch the given keys to determine execution of the MULTI/EXEC block

      Returns:
      Parameters:
        `key` - Key to watch
        `handler` - Handler for the result of this call.

    - #### RedisTransaction watchMany(java.util.List<java.lang.String> keys, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Watch the given keys to determine execution of the MULTI/EXEC block

      Returns:
      Parameters:
        `keys` - List of keys to watch
        `handler` - Handler for the result of this call.

    - #### RedisTransaction zadd(java.lang.String key, double score, java.lang.String member, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Add one or more members to a sorted set, or update its score if it already exists

      Returns:
      Parameters:
        `key` - Key string
        `score` - Score used for sorting
        `member` - New member key
        `handler` - Handler for the result of this call.

    - #### RedisTransaction zaddMany(java.lang.String key, java.util.Map<java.lang.String, java.lang.Double> members, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Add one or more members to a sorted set, or update its score if it already exists

      Returns:
      Parameters:
        `key` - Key string
        `members` - New member keys and their scores
        `handler` - Handler for the result of this call.

    - #### RedisTransaction zcard(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Get the number of members in a sorted set

      Returns:
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.

    - #### RedisTransaction zcount(java.lang.String key, double min, double max, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Count the members in a sorted set with scores within the given values

      Returns:
      Parameters:
        `key` - Key string
        `min` - Minimum score
        `max` - Maximum score
        `handler` - Handler for the result of this call.

    - #### RedisTransaction zincrby(java.lang.String key, double increment, java.lang.String member, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Increment the score of a member in a sorted set

      Returns:
      Parameters:
        `key` - Key string
        `increment` - Increment amount
        `member` - Member key
        `handler` - Handler for the result of this call.

    - #### RedisTransaction zinterstore(java.lang.String destkey, java.util.List<java.lang.String> sets, io.vertx.redis.op.AggregateOptions options, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Intersect multiple sorted sets and store the resulting sorted set in a new key

      Returns:
      Parameters:
        `destkey` - Destination key
        `sets` - List of keys identifying sorted sets to intersect
        `options` - Aggregation options
        `handler` - Handler for the result of this call.

    - #### RedisTransaction zinterstoreWeighed(java.lang.String destkey, java.util.Map<java.lang.String, java.lang.Double> sets, io.vertx.redis.op.AggregateOptions options, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Intersect multiple sorted sets and store the resulting sorted set in a new key using weights for scoring

      Returns:
      Parameters:
        `destkey` - Destination key
        `sets` - List of keys identifying sorted sets to intersect
        `options` - Aggregation options
        `handler` - Handler for the result of this call.

    - #### RedisTransaction zlexcount(java.lang.String key, java.lang.String min, java.lang.String max, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Count the number of members in a sorted set between a given lexicographical range

      Returns:
      Parameters:
        `key` - Key string
        `min` - Pattern to compare against for minimum value
        `max` - Pattern to compare against for maximum value
        `handler` - Handler for the result of this call.

    - #### RedisTransaction zrange(java.lang.String key, long start, long stop, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Return a range of members in a sorted set, by index

      Returns:
      Parameters:
        `key` - Key string
        `start` - Start index for the range
        `stop` - Stop index for the range - inclusive
        `handler` - Handler for the result of this call.

    - #### RedisTransaction zrangeWithOptions(java.lang.String key, long start, long stop, io.vertx.redis.op.RangeOptions options, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Return a range of members in a sorted set, by index

      Returns:
      Parameters:
        `key` - Key string
        `start` - Start index for the range
        `stop` - Stop index for the range - inclusive
        `options` - Range options
        `handler` - Handler for the result of this call.

    - #### RedisTransaction zrangebylex(java.lang.String key, java.lang.String min, java.lang.String max, java.util.Map<java.lang.String, java.lang.Object> options, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Return a range of members in a sorted set, by lexicographical range

      Returns:
      Parameters:
        `key` - Key string
        `min` - Pattern representing a minimum allowed value
        `max` - Pattern representing a maximum allowed value
        `options` - Limit options where limit can be specified (see LimitOptions)
        `handler` - Handler for the result of this call.

    - #### RedisTransaction zrangebyscore(java.lang.String key, java.lang.String min, java.lang.String max, java.util.Map<java.lang.String, java.lang.Object> options, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Return a range of members in a sorted set, by score

      Returns:
      Parameters:
        `key` - Key string
        `min` - Pattern defining a minimum value
        `max` - Pattern defining a maximum value
        `options` - Range and limit options (see RangeLimitOptions)
        `handler` - Handler for the result of this call.

    - #### RedisTransaction zrank(java.lang.String key, java.lang.String member, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Determine the index of a member in a sorted set

      Returns:
      Parameters:
        `key` - Key string
        `member` - Member in the sorted set identified by key
        `handler` - Handler for the result of this call.

    - #### RedisTransaction zrem(java.lang.String key, java.lang.String member, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Remove one member from a sorted set

      Returns:
      Parameters:
        `key` - Key string
        `member` - Member in the sorted set identified by key
        `handler` - Handler for the result of this call.

    - #### RedisTransaction zremMany(java.lang.String key, java.util.List<java.lang.String> members, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Remove one or more members from a sorted set

      Returns:
      Parameters:
        `key` - Key string
        `members` - Members in the sorted set identified by key
        `handler` - Handler for the result of this call.

    - #### RedisTransaction zremrangebylex(java.lang.String key, java.lang.String min, java.lang.String max, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Remove all members in a sorted set between the given lexicographical range

      Returns:
      Parameters:
        `key` - Key string
        `min` - Pattern defining a minimum value
        `max` - Pattern defining a maximum value
        `handler` - Handler for the result of this call.

    - #### RedisTransaction zremrangebyrank(java.lang.String key, long start, long stop, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Remove all members in a sorted set within the given indexes

      Returns:
      Parameters:
        `key` - Key string
        `start` - Start index
        `stop` - Stop index
        `handler` - Handler for the result of this call.

    - #### RedisTransaction zremrangebyscore(java.lang.String key, java.lang.String min, java.lang.String max, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Remove all members in a sorted set within the given scores

      Returns:
      Parameters:
        `key` - Key string
        `min` - Pattern defining a minimum value
        `max` - Pattern defining a maximum value
        handler

    - #### RedisTransaction zrevrange(java.lang.String key, long start, long stop, io.vertx.redis.op.RangeOptions options, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Return a range of members in a sorted set, by index, with scores ordered from high to low

      Returns:
      Parameters:
        `key` - Key string
        `start` - Start index for the range
        `stop` - Stop index for the range - inclusive
        `options` - Range options
        `handler` - Handler for the result of this call.

    - #### RedisTransaction zrevrangebylex(java.lang.String key, java.lang.String max, java.lang.String min, java.util.Map<java.lang.String, java.lang.Object> options, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Return a range of members in a sorted set, by score, between the given lexicographical range with scores ordered from high to low

      Returns:
      Parameters:
        `key` - Key string
        `max` - Pattern defining a maximum value
        `min` - Pattern defining a minimum value
        `options` - Limit options (see LimitOptions)
        `handler` - Handler for the result of this call.

    - #### RedisTransaction zrevrangebyscore(java.lang.String key, java.lang.String max, java.lang.String min, java.util.Map<java.lang.String, java.lang.Object> options, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Return a range of members in a sorted set, by score, with scores ordered from high to low

      Returns:
      Parameters:
        `key` - Key string
        `max` - Pattern defining a maximum value
        `min` - Pattern defining a minimum value
        `options` - Range and limit options (see RangeLimitOptions)
        `handler` - Handler for the result of this call.

    - #### RedisTransaction zrevrank(java.lang.String key, java.lang.String member, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Determine the index of a member in a sorted set, with scores ordered from high to low

      Returns:
      Parameters:
        `key` - Key string
        `member` - Member in the sorted set identified by key
        `handler` - Handler for the result of this call.

    - #### RedisTransaction zscan(java.lang.String key, java.lang.String cursor, java.util.Map<java.lang.String, java.lang.Object> options, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Incrementally iterate sorted sets elements and associated scores

      Returns:
      Parameters:
        `key` - Key string
        `cursor` - Cursor id
        `options` - Scan options (see ScanOptions)
        `handler` - Handler for the result of this call.

    - #### RedisTransaction zscore(java.lang.String key, java.lang.String member, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Get the score associated with the given member in a sorted set

      Returns:
      Parameters:
        `key` - Key string
        `member` - Member in the sorted set identified by key
        `handler` - Handler for the result of this call.

    - #### RedisTransaction zunionstore(java.lang.String destkey, java.util.List<java.lang.String> sets, io.vertx.redis.op.AggregateOptions options, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Add multiple sorted sets and store the resulting sorted set in a new key

      Returns:
      Parameters:
        `destkey` - Destination key
        `sets` - List of keys identifying sorted sets
        `options` - Aggregation options
        `handler` - Handler for the result of this call.

    - #### RedisTransaction zunionstoreWeighed(java.lang.String key, java.util.Map<java.lang.String, java.lang.Double> sets, io.vertx.redis.op.AggregateOptions options, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Add multiple sorted sets using weights, and store the resulting sorted set in a new key

      Returns:
      Parameters:
        `key` - Destination key
        `sets` - Map containing set-key:weight pairs
        `options` - Aggregation options
        `handler` - Handler for the result of this call.